package com.key.vibekeyboard.data.database.dao;


import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import com.key.vibekeyboard.data.database.entity.WallpaperInfo;

import java.util.List;

@Dao
public interface WallpaperInfoDao {

    @Insert
    void insertAll(List<WallpaperInfo> likeDataList);

    @Query("select * from wallpaper_info where preview =:pre ")
    List<WallpaperInfo> checklikelist(String pre);

    @Update
    void update(WallpaperInfo wallpaperInfo);

    @Query("SELECT * FROM wallpaper_info WHERE islike = :dislike")
    LiveData<List<WallpaperInfo>> getLiveLikeList(boolean dislike);


}
